# Open positions in a pool

`GET https://api.getchord.xyz/v1/lp/pools/{pool}/positions`

Source: https://getchord.xyz/docs/api-reference/operations/lppoolpositions/

Managed positions (V3 NPM / V4 PositionManager NFTs) open in the pool, largest first, valued live.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `pool` | path | yes | string |  |
| `chain` | query | yes | `5042` · `4663` · `143` | Chain id: `5042` Arc · `4663` Robinhood Chain · `143` Monad. |
| `limit` | query | no | integer (default `20`) |  |

## Response 200

Example (captured from the live API):

```json
{
  "chain": 5042,
  "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09",
  "positions": [
    {
      "manager": "0x6049c9a0e26405c0985f9e3685c87d0ae917f82b",
      "tokenId": "187740",
      "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09",
      "dex": "uniswap_v4",
      "kind": "v4",
      "owner": "0x25cacb704ed0852428e7cc0687bca45ee8c21848",
      "token": "0x8faae5592b9acc27a79fca745c6b872adf514a5d",
      "anchor": "0x3600000000000000000000000000000000000000",
      "tickLower": 331254,
      "tickUpper": 375408,
      "symbol": "MURMUR",
      "anchorSymbol": "USDC",
      "logo": "https://cdn.dexscreener.com/cms/images/QUq-IqT1GLQNkxMx?width=800&height=800&quality=95&format=auto",
      "inUsd": 5763.889211498252,
      "outUsd": 0,
      "feesUsd": 0,
      "adds": 1,
      "removes": 0,
      "collects": 0,
      "openedTs": 1789695461,
      "lastTs": 1789695461,
      "closedTs": null,
      "burned": false,
      "status": "open",
      "valueUsd": 5408.735694717618,
      "uncollectedUsd": 2141.275199916123,
      "inRange": true,
      "edgePct": 427.51,
      "pnlUsd": 1786.1216831354886,
      "pnlPct": 30.988133491053144,
      "ageHours": 54.55777777777778,
      "jit": false,
      "unreconciled": false
    },
    {
      "manager": "0x6049c9a0e26405c0985f9e3685c87d0ae917f82b",
      "tokenId": "223792",
      "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09",
      "dex": "uniswap_v4",
      "kind": "v4",
      "owner": "0x2e41ff7889197ceab7ca505fe08fb54a9da07ab8",
      "token": "0x8faae5592b9acc27a79fca745c6b872adf514a5d",
      "anchor": "0x3600000000000000000000000000000000000000",
      "tickLower": 336204,
      "tickUpper": 357291,
      "symbol": "MURMUR",
      "anchorSymbol": "USDC",
      "logo": "https://cdn.dexscreener.com/cms/images/QUq-IqT1GLQNkxMx?width=800&height=800&quality=95&format=auto",
      "inUsd": 797.4331141591955,
      "outUsd": 0,
      "feesUsd": 0,
      "adds": 1,
      "removes": 0,
      "collects": 0,
      "openedTs": 1789888226,
      "lastTs": 1789888226,
      "closedTs": null,
      "burned": false,
      "status": "open",
      "valueUsd": 752.4410624979616,
      "uncollectedUsd": 5.447723353719422,
      "inRange": true,
      "edgePct": 156.14,
      "pnlUsd": -39.544328307514434,
      "pnlPct": -4.958952369216512,
      "ageHours": 1.0119444444444445,
      "jit": false,
      "unreconciled": false
    }
  ],
  "updatedAt": 1789891870022
}
```

- **400**: Invalid parameters — `error` names the check that failed (`INVALID_PARAMS`, `BAD_ADDRESS`, `BAD_LIMIT`, `BAD_HOURS`, …).
